WindowsMenuItemUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsMenuItemUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.MenuItemUI
                  javax.swing.plaf.basic.BasicMenuItemUI
                      com.jgoodies.looks.common.ExtBasicMenuItemUI
                          com.jgoodies.looks.windows.WindowsMenuItemUI

    public final class WindowsMenuItemUI

extends ExtBasicMenuItemUI

The JGoodies Windows look&feel implementation of `MenuItemUI`.

It differs from the superclass in that it uses a Windows specific menu item renderer that checks if mnemonics shall be shown or hidden and may paint disabled text with a shadow.

Version:
  $Revision: 1.8 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`BasicMenuItemUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

Constructor Summary
`WindowsMenuItemUI()`

Method Summary
`protected MenuItemRenderer` | `createRenderer(JMenuItem menuItem, boolean iconBorderEnabled, Font acceleratorFont, Color selectionForeground, Color disabledForeground, Color acceleratorForeground, Color acceleratorSelectionForeground)`
`static ComponentUI` | `createUI(JComponent b)`

Methods inherited from class com.jgoodies.looks.common.ExtBasicMenuItemUI
`getPreferredMenuItemSize, iconBorderEnabled, installDefaults, paintMenuItem, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredSize, getPropertyPrefix, installComponents, installKeyboardActions, installListeners, installUI, paint, paintBackground, paintText, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsMenuItemUI

    public WindowsMenuItemUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### createRenderer

    protected MenuItemRenderer createRenderer(JMenuItem menuItem,
                                              boolean iconBorderEnabled,
                                              Font acceleratorFont,
                                              Color selectionForeground,
                                              Color disabledForeground,
                                              Color acceleratorForeground,
                                              Color acceleratorSelectionForeground)

  Overrides:
    `createRenderer` in class `ExtBasicMenuItemUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.